Chuyển đến nội dung chính
GET
https://api-gw.verolabs.co/api/v1
/
users
/
accounts
/
{accountId}
/
trades
/
{startTime}
/
{endTime}
Lấy danh sách khớp lệnh của tài khoản theo khoảng thời gian
curl --request GET \
  --url https://api-gw.verolabs.co/api/v1/users/accounts/{accountId}/trades/{startTime}/{endTime} \
  --header 'Authorization: Bearer <token>'
[
  {
    "persisState": "<string>",
    "orderID": "<string>",
    "refOrderID": "<string>",
    "externalOrderID": "<string>",
    "tradeID": "<string>",
    "accountID": "<string>",
    "symbol": "<string>",
    "tradedPrice": 123,
    "tradedQty": 123,
    "unixUTCTimeMs": 123,
    "algoID": "<string>",
    "positionID": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.oms.verolabs.co/llms.txt

Use this file to discover all available pages before exploring further.

Ủy quyền

Authorization
string
header
bắt buộc

JWT returned by Ory /sessions/whoami?tokenize_as=jwt_template_1 and stored by ApiClient.

Tham số đường dẫn

accountId
string
bắt buộc
startTime
integer<int64>
bắt buộc

Unix timestamp in milliseconds.

endTime
integer<int64>
bắt buộc

Unix timestamp in milliseconds.

Phản hồi

Trades in the requested time range.

persisState
string
orderID
string
refOrderID
string
externalOrderID
string
tradeID
string
accountID
string
symbol
string
orderSide
enum<string>

B = Buy, S = Sell.

Tùy chọn có sẵn:
B,
S
tradedPrice
number
tradedQty
integer
unixUTCTimeMs
integer<int64>
algoID
string
positionID
string